%description: linear interpolation to find index of given data for desired value

function[indices] = userdefined_interpindex(data,desired_value)

datalow=nan(size(data));
datalow(data<desired_value)=data(data<desired_value);
[low_value,low_column]=max(datalow,[],2);

datahi=nan(size(data));
datahi(data>=desired_value)=data(data>=desired_value);
[hi_value,hi_column]=min(datahi,[],2);

indices=low_column+(desired_value-low_value).*(hi_column-low_column)./(hi_value-low_value);
